cURL
curl --request POST \ --url https://tilt.io/api/v1/backchannel/scenarios/search \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "queries": [ { "weight": 0.5, "query": "<string>" } ], "subject_code": "<string>", "limit": 10, "offset": 0, "min_score": 0.4, "include_content": false, "min_importance": 5, "importance_weight": 0, "topic": "<string>", "portfolio_weights": {}, "aggregate_scenarios": false, "order_by_exposure": false, "seen_image_ids": [ "<string>" ], "seen_window": 123, "viewer_user_id": "<string>" } '
{ "success": true, "articles_found": 123, "articles": [ { "point_id": "<string>", "headline": "<string>", "date": "<string>", "content": "<string>", "tilt_source": "", "importance_rating": 0, "importance_rationale": "", "generated_at": "", "article_image_url": "<string>", "fallback_image_id": "<string>", "timeline": [], "scenarios": [], "subject_codes": [], "subject_codes_original": [], "prediction_markets": [], "score": 123, "tilt_asset_ids": [], "portfolio_exposure": { "mad_pct": 123, "expected_return_pct": 123, "num_leaf_scenarios": 123, "leaf_details": [ { "path": [ "<string>" ], "title": "<string>", "joint_probability_pct": 123, "portfolio_return_pct": 123, "abs_portfolio_return_pct": 123 } ], "scenario_level_details": [ { "title": "<string>", "description": "<string>", "probability_pct": 123, "portfolio_return_mean_pct": 123, "portfolio_return_std_pct": 123, "macro_shocks": [ { "indicator": "<string>", "mean": 123, "std": 123 } ], "sub_scenario_count": 123 } ] } } ], "has_more": false, "next_offset": 123 }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
1 - 100
Show child attributes
1
1 <= x <= 100
x >= 0
0 <= x <= 1
1 <= x <= 10
0 <= x <= 2
Search article scenarios